Package ej.microui

## Class MicroUIPermission

- java.lang.Object
- - java.security.Permission
  - - ej.microui.MicroUIPermission

- All Implemented Interfaces:
    `Serializable`, `Guard`

      public class MicroUIPermission
      extends Permission

  This class is for MicroUI permissions.

  The name is related to the MicroUI APIs and it symbolizes the permission's action.

  The meaning of the possible permissions is defined as follows:

  start
    start permission. Allows `MicroUI.start()` to be called.
  stop
    stop permission. Allows `MicroUI.stop()` to be called.
  See Also:
    `Permission`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACTION_START` | Permission to start MicroUI.
    `static String` | `ACTION_STOP` | Permission to stop MicroUI.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MicroUIPermission​(String permission)` | Creates a permission with the specified name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Indicates whether some other object is "equal to" this one.
    `String` | `getActions()` | Returns the actions as a String.
    `int` | `hashCode()` | Returns a hash code value for the object.
    `boolean` | `implies​(Permission permission)` |

    - ### Methods inherited from class java.security.Permission

      `getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_START

          public static final String ACTION_START

      Permission to start MicroUI.
      See Also:
        Constant Field Values

    - #### ACTION_STOP

          public static final String ACTION_STOP

      Permission to stop MicroUI.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MicroUIPermission

          public MicroUIPermission​(String permission)

      Creates a permission with the specified name.
      Parameters:
        `permission` - the name of the `MicroUIPermission`.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Description copied from class: `Object`
      Indicates whether some other object is "equal to" this one.

      The `equals` method implements an equivalence relation on non-null object references:

      - It is reflexive: for any non-null reference value `x`, `x.equals(x)` should return `true`.
      - It is symmetric: for any non-null reference values `x` and `y`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
      - It is transitive: for any non-null reference values `x`, `y`, and `z`, if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.
      - It is consistent: for any non-null reference values `x` and `y`, multiple invocations of `x.equals(y)` consistently return `true` or consistently return `false`, provided no information used in `equals` comparisons on the objects is modified.
      - For any non-null reference value `x`, `x.equals(null)` should return `false`.

      The `equals` method for class `Object` implements the most discriminating possible equivalence relation on objects; that is, for any non-null reference values `x` and `y`, this method returns `true` if and only if `x` and `y` refer to the same object (`x == y` has the value `true`).

      Note that it is generally necessary to override the `hashCode` method whenever this method is overridden, so as to maintain the general contract for the `hashCode` method, which states that equal objects must have equal hash codes.

      Specified by:
        `equals` in class `Permission`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        `true` if this object is the same as the obj argument; `false` otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getActions

          public String getActions()

      Description copied from class: `Permission`
      Returns the actions as a String. This is abstract so subclasses can defer creating a String representation until one is needed. Subclasses should always return actions in what they consider to be their canonical form. For example, two FilePermission objects created via the following:

           perm1 = new FilePermission(p1, "read,write");
           perm2 = new FilePermission(p2, "write,read");

      both return "read,write" when the `getActions` method is invoked.
      Specified by:
        `getActions` in class `Permission`
      Returns:
        the actions of this Permission.

    - #### hashCode

          public int hashCode()

      Description copied from class: `Object`
      Returns a hash code value for the object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

      The general contract of `hashCode` is:

      - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
      - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
      - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.

      As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

      Specified by:
        `hashCode` in class `Permission`
      Returns:
        a hash code value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### implies

          public boolean implies​(Permission permission)

      Specified by:
        `implies` in class `Permission`